%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions
%define modname nis
%define modfullname mod_%{modname}

Summary: php NIS authentification extension
Summary(ko): php NIS 인증 확장
Name: php-%{modname}
Version: 0.0.2
Release: 1%{?dist}
Epoch: 10
Group: Development/Languages
License: PHP
Source0: %{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi
BuildRequires: php-devel

%description
This extension support NIS authentification

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize

CFLAGS="${RPM_OPT_FLAGS}"
%ifarch x86_64
./configure --with-libdir=lib64
%else
./configure
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli}
for i in apache cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php.d/apache/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/%{modname}.ini

%changelog
* Sat Dec 15 2012 JoungKyun.Kim <http://oops.org> 10:0.0.2-1%{?dist}
- update 0.0.2
- built for PHP 5.4

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:0.0.1-1%{?dist}
- first packaged

